DirectoryIterator::seek
DirectoryIterator::valid
DirectoryIterator
PHP Manual

# DirectoryIterator::__toString

(PHP 5)

DirectoryIterator::__toString — Get file name as a string

### Description

public string DirectoryIterator::__toString ( void )

Get the file name of the current DirectoryIterator item.

### Parameters

This function has no parameters.

### Return Values

Returns the file name of the current DirectoryIterator item.

### Examples

Example #1 A DirectoryIterator::__toString() example

This example will list the contents of the directory containing the script.

`<?php
$dir = new DirectoryIterator(dirname(__FILE__));
foreach ($dir as $fileinfo) {
echo $fileinfo;
}
?>`

The above example will output something similar to:

    .
    ..
    apple.jpg
    banana.jpg
    index.php
    pear.jpg

### See Also

- DirectoryIterator::getFilename() - Return file name of current DirectoryIterator item.
- The __toString() magic method

DirectoryIterator::seek
DirectoryIterator::valid
DirectoryIterator
PHP Manual